Name: postbooks
Version: 4.10.1
Release: 19%{?dist}
Summary: xTuple Accounting/ERP suite desktop client
License: CPAL
Url: http://www.xtuple.com/postbooks/
Source: https://github.com/xtuple/qt-client/archive/v%version.tar.gz
Patch1: 06-correct-edition-data.patch
Patch2: 07-qsql-qtsql.patch
Patch3: 08-qt58-buttonhint.patch
BuildRequires: desktop-file-utils
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtbase-private-devel
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}
BuildRequires: xtuple-openrpt-devel
BuildRequires: xtuple-csvimp-devel
BuildRequires: qt5-qtwebkit-devel
BuildRequires: libsqlite3x-devel
BuildRequires: pkgconfig(Qt5UiTools)
BuildRequires: pkgconfig(Qt5Sql)
BuildRequires: pkgconfig(Qt5WebSockets)
BuildRequires: pkgconfig(Qt5WebChannel)
BuildRequires: pkgconfig(Qt5SerialPort)
BuildRequires: qt5-qtscript-devel
BuildRequires: qt5-qtxmlpatterns-devel
BuildRequires: zlib-devel

Requires: qt5-qtbase-postgresql%{?_isa}
Requires: %{name}-libs%{?_isa} = %{version}-%{release}

%global _docdir_fmt %{name}

%description
A full-featured, fully-integrated business management system, the core of
the award winning xTuple ERP Suite. Built with the open source PostgreSQL
database and the open source Qt framework for C++, it provides the
ultimate in power and flexibility for a range of businesses and
industries of any size.
This package contains the GUI.  Install it on any workstation that
needs access to the PostBooks database.  There is no server component
other than an instance of PostgreSQL itself.

%package libs
Summary: Shared libraries for PostBooks

%description libs
A full-featured, fully-integrated business management system, the core of
the award winning xTuple ERP Suite. Built with the open source PostgreSQL
database and the open source Qt framework for C++, it provides the
ultimate in power and flexibility for a range of businesses and
industries of any size.
This package provides the core libraries: libpostbooks

%package devel
Summary: PostBooks development files
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: qt5-qtbase-devel
Requires: libdmtx-devel
Requires: xtuple-openrpt-devel
Requires: xtuple-csvimp-devel

%description devel
A full-featured, fully-integrated business management system, the core of
the award winning xTuple ERP Suite. Built with the open source PostgreSQL
database and the open source Qt framework for C++, it provides the
ultimate in power and flexibility for a range of businesses and
industries of any size.
This package provides the header files used by developers.

%prep
%autosetup -p 1 -n qt-client-%version

%build
export OPENRPT_HEADERS=%{_includedir}/openrpt
export OPENRPT_LIBDIR=%{_libdir}
export OPENRPT_IMAGE_DIR=/usr/share/openrpt/OpenRPT/images
export USE_SHARED_OPENRPT=1
export CSVIMP_HEADERS=%{_includedir}/csvimp
export CSVIMP_LIBDIR=%{_libdir}
export BUILD_XTCOMMON_SHARED=1
# FIXME: find will not fail on error!
find . -name '*.ts' -exec lrelease-qt5 {} \;
%{qmake_qt5} .
sed -i -e 's/^\(.*editionDesc.*PostBooks.*\)true\(.*\)$/\1false\2/' guiclient/main.cpp
make %{?_smp_mflags}

%install
# make install doesn't do anything for this qmake project so we do
# the installs manually
#make INSTALL_ROOT=%{buildroot} install
#rm -f %{buildroot}%{_libdir}/lib*.a
mkdir -p %{buildroot}%{_bindir}
install bin/* %{buildroot}%{_bindir}
ln -s %{_bindir}/xtuple %{buildroot}%{_bindir}/postbooks
mkdir -p %{buildroot}%{_libdir}
cp -dp lib/lib*.so* %{buildroot}%{_libdir}
find %{buildroot}%{_libdir} -name 'lib*.so*' -exec chmod 0755 {} \;
mkdir -p %{buildroot}%{_includedir}/xtuple
find common -name '*.h' -exec install -m 0644 -D {} %{buildroot}%{_includedir}/xtuple/{} \;
install -m 0644 -D guiclient/images/icon128x128.png %{buildroot}%{_datadir}/icons/postbooks.png
sed -i -e "s!^Icon=.*png!Icon=%{_datadir}/icons/postbooks.png!g" postbooks.desktop
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --dir=%{buildroot}%{_datadir}/applications *.desktop
install -m 0644 -D postbooks.appdata.xml %{buildroot}%{_datadir}/appdata/postbooks.appdata.xml

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%{_datadir}/icons/postbooks.png
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/appdata/postbooks.appdata.xml

%files libs
%license LICENSE.txt
%{_libdir}/lib*.so.*

%files devel
%dir %{_includedir}/xtuple/
%{_includedir}/xtuple/*
%{_libdir}/lib*.so

%changelog
* Wed Feb 14 2018 Jan Grulich <jgrulich@redhat.com> - 4.10.1-19
- rebuild (qt5)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.10.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 01 2018 Rex Dieter <rdieter@fedoraproject.org> - 4.10.1-17
- rebuild (qt5)

* Mon Nov 27 2017 Rex Dieter <rdieter@fedoraproject.org> - 4.10.1-16
- rebuild (qt5)

* Wed Oct 11 2017 Rex Dieter <rdieter@fedoraproject.org> - 4.10.1-15
- BR: qt5-qtbase-private-devel
- make qt5-qtbase-postgresql dep arch'd

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.10.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.10.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Apr 24 2017 Daniel Pocock <daniel@pocock.pro> - 4.10.1-12
- New upstream release.

* Fri Apr 14 2017 Daniel Pocock <daniel@pocock.pro> - 4.10.0-11
- New upstream release.

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.9.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu May 05 2016 Daniel Pocock <daniel@pocock.pro> - 4.9.5-10
- New upstream release.

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.9.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Feb 02 2016 Rex Dieter <rdieter@fedoraproject.org> - 4.9.2-8
- use %%qmake_qt4 macro to ensure proper build flags

* Sat Oct 03 2015 Daniel Pocock <daniel@pocock.pro> - 4.9.2-7
- Build again with newer dependencies.

* Sat Oct 03 2015 Daniel Pocock <daniel@pocock.pro> - 4.9.2-6
- Update icon location.

* Fri Oct 02 2015 Daniel Pocock <daniel@pocock.pro> - 4.9.2-5
- New upstream release.

* Fri Sep 04 2015 Daniel Pocock <daniel@pocock.pro> - 4.9.1-4
- New upstream release.

* Thu Jul 09 2015 Daniel Pocock <daniel@pocock.pro> - 4.8.2-3
- Startup patch.

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 25 2015 Daniel Pocock <daniel@pocock.pro> - 4.8.2-1
- Initial RPM packaging.

